View Issue Details

IDProjectCategoryView StatusLast Update
14455Bug reports[All Projects] Expression Managerpublic2019-02-01 08:03
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14455: {SURVEYRESOURCESURL} show as error in question on survey logic file
Description

Using {SURVEYRESOURCESURL} is OK on welcome page, but show as error in question in Survey Logic file

Steps To Reproduce

Import incluided survey
Check survey logic file : see the error
test survey : no error

Additional Information

Surely same for a lot of fixed var

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.7 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

has duplicate 14428 closedDenisChenu Use of {SURVEYNAME} in an equation question is reported as an error in the Survey logic view. 

Activities

DenisChenu

DenisChenu

2019-01-28 12:00

developer  

limesurvey_survey_SURVEYRESOURCESURL.lss (14,614 bytes)
DenisChenu

DenisChenu

2019-01-28 16:53

developer   ~50330

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28813

Related Changesets

LimeSurvey: master a44b94a5

2019-01-28 16:53:24

DenisChenu

Details Diff
Fixed issue 14455: {SURVEYRESOURCESURL} show as error in question on survey logic file
Dev: add it in replacement for ProcessString
Dev: unsure all are here, but a lot …
Dev: see to move some other $coreReplacements if needed
Affected Issues
14455
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-01-28 12:00 DenisChenu New Issue
2019-01-28 12:00 DenisChenu File Added: limesurvey_survey_SURVEYRESOURCESURL.lss
2019-01-28 16:45 DenisChenu Assigned To => DenisChenu
2019-01-28 16:45 DenisChenu Status new => assigned
2019-01-28 16:53 DenisChenu Changeset attached => LimeSurvey master a44b94a5
2019-01-28 16:53 DenisChenu Note Added: 50330
2019-01-28 16:53 DenisChenu Resolution open => fixed
2019-01-28 16:53 DenisChenu Status assigned => resolved
2019-01-28 16:53 DenisChenu Fixed in Version => 3.15.x
2019-01-30 12:09 ollehar Status resolved => closed
2019-02-01 08:03 DenisChenu Relationship added has duplicate 14428